/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NUIITEMAUTOMATEDPROPERTYPROVIDER__
#define	__NUIITEMAUTOMATEDPROPERTYPROVIDER__


		#include "automation/automated_property_provider.h"


namespace GS {
	namespace S2D {
		class Item;
		namespace Automation {

/*!
	@short	Item automated property provider.
	@author	Emmanuel Julien (ejulien@nworks.fr)
*/
struct	ItemPropertyProvider : public GS::Automation::IPropertyProvider
{
		S2D::Item	*item;

virtual	bool		GetProperty(Core::MotionChannel::Type, float &);
virtual	bool		SetProperty(Core::MotionChannel::Type, float);
virtual	Quaternion	GetRotation() const;
virtual	bool		SetRotation(const Quaternion &);

		ItemPropertyProvider(S2D::Item *i) : item(i) {}
};

		} // Automation
	} // S2D
} // GS


#endif	// __NITEMAUTOMATEDPROPERTYPROVIDER__
